%define Name TEI-style-html
%define Version 2.0
%define Release 3mdk

Name:		%{Name}
Version:	%{Version}
Release:	%{Release}
Group       	: Publishing

Summary     	: Sebastian Rahtz's modular stylesheets for TEI.

License   	: Distributable
URL         	: http://www.tei-c.org/Stylesheets/teixsl.html

Requires	: TEI-DTD
Prereq		: sgml-common >= 0.6.3-2mdk

BuildRoot   	: %{_tmppath}/%{name}-%{version}-buildroot 

# ZIP spurce downloadable at http://www.tei-c.org/Stylesheets/teixsl-html.zip
Source0		: %{name}-%{Version}.tar.bz2
BuildArch	: noarch

%define sgmlbase %{_datadir}/sgml/ 

%Description
These XSL stylesheets allow to convert any TEI document to the HTML format.

%prep
%setup

%build


%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT%{sgmlbase}/TEI/html-stylesheets-%{Version}
mkdir -p $DESTDIR
install -m644 *.xsl $DESTDIR

ln -sf html-stylesheets-%{Version} \
	$RPM_BUILD_ROOT%{sgmlbase}/TEI/html-stylesheets

%clean
rm -rf $RPM_BUILD_ROOT

# Catalogs management left for brave packagers.

%files
%defattr (-,root,root)
%doc ChangeLog teixsl.html teixsl.xml
%dir %{sgmlbase}/TEI/html-stylesheets-%{Version}
%{sgmlbase}/TEI/
%{sgmlbase}/TEI/html-stylesheets

%changelog 
* Mon Sep  6 2004 Camille Begnis <camille@mandrakesoft.com> 2.0-3mdk
- rebuild

* Fri Aug 29 2003  <camille@ke.mandrakesoft.com> 2.0-2mdk
- add missing dir

* Mon Jul 21 2003  <camille@ke.mandrakesoft.com> 2.0-1mdk
- First specs for MDK

